
{% extends 'base.html' %}
{% load static %}

{% block main %}
<main id="main" class="w-100 container border rounded border-white py-4 my-3 d-flex flex-column">
    <div class="w-100 d-flex flex-column justify-content-center align-items-center">
        <h2 class="mb-2">PLANNING POKER</h2>
        <h5 class="mb-2">Ajout des utilisateurs</h5>
    </div>
    {% if alert %}
        <div class="w-100 d-flex justify-content-center align-items-center align-content-center">
            <div class="alert alert-{% if alert.type == 'success' %}success{% else %}danger{% endif %}" role="alert">
                {{ alert.message }}
            </div>
        </div>
    {% endif %}
    <form action="{% url 'add_users' %}" id="new-item" method="post"  class="w-100 d-flex flex-column justify-content-center align-content-center align-items-center pt-5 mb-2">
        {% csrf_token %}
        <div class="w-50 d-flex flex-column justify-content-center align-items-center align-content-center gap-2 py-3">
            <label for="username" class="form-label">Écrivez le nom d'utilisateur ici :</label>
            <input type="text" class="form-control w-100" id="item" name="username">
        </div>
        <div class="d-flex justify-content-center align-items-center">
            <div id="new-item-alert" class="d-none alert alert-danger d-flex justify-content-center align-items-center text-center">
                <p id="errer-text" class="mb-0">La tâche doit comporter au moins 4 caractères</p>
            </div>
        </div>
        <div class="d-flex justify-content-center align-items-center gap-3">
            <button type="button" onclick="handleNewItemSubmit(this)" class="normal-btn text-white d-flex justify-content-center align-content-center align-items-center gap-3 px-4 py-2 rounded bg-success text-white">
                <span>Ajouter</span>
                <i class="fa-solid fa-user text-white fa-fade "></i>
            </button>
        </div>
    </form>
    {% if not mustAdd %}
        <div class="d-flex justify-content-center align-content-center align-items-center">
            <a href="{% url 'init_rounds' %}" class="normal-link text-white d-flex justify-content-center align-content-center align-items-center gap-3 px-4 py-2 rounded bg-success text-white">
                <span>Suivant</span>
                <i class="fa-solid fa-arrow-right text-white fa-fade "></i>
            </a>
        </div>
    {% endif %}

    {% if users %}
        <div>
            <h3>Les utilisateurs actuelles :</h3>
            <ul>
                {% for user in users %}
                    <li>{{ user.username }}</li>
                {% endfor %}
            </ul>
        </div>
    {% endif %}
    {% if game.tasks %}
        <div class="w-100 border-bottom border-white"></div>
        <div>
            <h3>Les tâches :</h3>
            <ul>
                {% for task in tasks %}
                    <li>{{ task.name }}</li>
                {% endfor %}
            </ul>
        </div>

    {% endif %}
</main>

{% endblock main %}
